Page MenuHomeMiraheze

Echo email notifications not working
Closed, ResolvedPublic

Description

Echo notifications are not getting sent by email. I can confirm this for both meta and testwiki.

Related Objects

Mentioned Here
P30 T1738

Event Timeline

Reception123 moved this task from Backlog to Bugs on the MediaWiki board.Apr 30 2017, 16:34
Amanojaku added a subscriber: Amanojaku.EditedApr 30 2017, 16:36

I can't receive email notices, but I can receive emails when removing or setting an email address.

Added: I can receive emails when I enable "Email me when a page or a file on my watchlist is changed" and pages in my watchlist are changed

revi added a comment.Apr 30 2017, 16:36
This comment was removed by revi.

For me I only receive Special:EmailUser emails, but not mentions or talkpage messages.

John added a subscriber: John.Apr 30 2017, 16:42

I don't receive them but that's because I've disabled it for echo notifs

We enabled them but can't receive them.

Reception123 renamed this task from Email notifications not working to Echo email notifications not working .Apr 30 2017, 16:45
John closed this task as Resolved.May 1 2017, 13:02
John claimed this task.

Emails have been moved to the jobqueue.

Reception123 reopened this task as Open.May 10 2017, 14:07

Even with the jobqueue change, emails are still not being sent.

John removed John as the assignee of this task.May 10 2017, 14:53
John closed this task as Resolved.May 12 2017, 16:06
John claimed this task.

Spelling mistake from upstream translated into config.

Amanojaku added a comment.EditedMay 14 2017, 17:14

Still no emails. Tested on publictestwiki.

Amanojaku renamed this task from Echo email notifications not working to Echo email notifications still not working .May 14 2017, 17:15
Amanojaku reopened this task as Open.
Amanojaku renamed this task from Echo email notifications still not working to Echo email notifications not working.May 14 2017, 17:18
Amanojaku closed this task as Resolved.
Amanojaku reopened this task as Open.
John added a comment.May 14 2017, 17:43

I've checked which email provider you're with. Can you check spam please? Over the past 24 hours there's been 374 emails to the provider and all 374 emails have been recorded as delivered. I've also just received several emails from this task using the same provider.

John removed John as the assignee of this task.May 14 2017, 18:12

Okay, I've looked over this very intensively for 30 minutes now.

There is nothing wrong with our mail set up. Emails are being sent by both MediaWiki and Phabricator.

If Echo isn't sending emails it's a MediaWiki issue and not one I can solve myself. Phabricator is sending emails as far as I can see and as far as I am concerned they are being delivered as well.

As such, I am dropping my assign of this task.

Amanojaku closed this task as Resolved.May 15 2017, 07:04

Phab emails were found in spam but no echo emails. Maybe something is wrong with Echo or my email, or myself.

Sorry for troubling you.

Reception123 reopened this task as Open.May 15 2017, 18:28

I can confirm I tested it and notifications are still not being sent.

I don't think it's anything but funny enough https://github.com/miraheze/mw-config/commit/aeef2f6f0ec5fe74e8885c1c14a297dd0031b1fd was committed at around the time that I stopped getting the echo emails.

Definitely not that.

Reception123 closed this task as Resolved.Aug 14 2017, 15:22
Reception123 claimed this task.

After 1.29, I tested it and just received an email for a notification. Therefore, resolved.